package
{
	/*
	 * Timequake Prototype Source Code. Released by @realnoyb on December 2012.
	 * This work is licensed under the Creative Commons Attribution-NonCommercial 3.0 Unported License. 
	 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc/3.0/.
	 */
	
	import flash.utils.ByteArray;
	
	public class LevelData
	{
		[Embed(source="../levels/test.oel", mimeType="application/octet-stream")] protected static var Level1:Class;
		[Embed(source="../levels/test2.oel", mimeType="application/octet-stream")] protected static var Level2:Class;
		[Embed(source="../levels/test3.oel", mimeType="application/octet-stream")] protected static var Level3:Class;
		[Embed(source="../levels/test4.oel", mimeType="application/octet-stream")] protected static var Level4:Class;
		[Embed(source="../levels/test5.oel", mimeType="application/octet-stream")] protected static var Level5:Class;
		[Embed(source="../levels/test5-1.oel", mimeType="application/octet-stream")] protected static var Level5_1:Class;
		[Embed(source="../levels/test6.oel", mimeType="application/octet-stream")] protected static var Level6:Class;
		
		public static const NUM_LEVELS:uint = 5;
		
		public static function getLevelXMLData(num:uint):XML
		{
			var bytes:ByteArray = getLevelByteArray(num);
			var xml:XML = new XML(bytes.readUTFBytes(bytes.length));
			return xml;
		} 
		
		public static function getLevelByteArray(num:uint):ByteArray
		{
			switch(num)
			{
				case 0:
					return new Level6 as ByteArray;
					break;
				case 1:
					return new Level2 as ByteArray;
					break;
				case 2:
					return new Level5_1 as ByteArray;
					break;
				case 3:
					return new Level3 as ByteArray;
					break;
				case 4:
					return new Level5 as ByteArray;
					break;
				default:
					return new Level2 as ByteArray;
					break;
			}
		}

	}
}