package
{
	/*
	 * Timequake Prototype Source Code. Released by @realnoyb on December 2012.
	 * This work is licensed under the Creative Commons Attribution-NonCommercial 3.0 Unported License. 
	 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc/3.0/.
	 */
	
	public class Replay
	{
		private var level:uint;
		private var life:uint;
		private var coins:uint;
		
		private var steps:Array;
		
		public static const WAIT:uint = 0;
		public static const LEFT:uint = 1;
		public static const RIGHT:uint = 2;
		public static const ACTION:uint = 3;
		public static const ACTION2:uint = 4;
		public static const UP:uint = 5;
		public static const DOWN:uint = 6;
		
		public static const REPLAY_MOVEMENT:Boolean = false;
		
		public function Replay(level:uint, life:uint, coins:uint)
		{
			this.level = level;
			this.life = life;
			this.coins = coins;
			
			steps = new Array();
		}
		
		public function getLevel():uint { return level; }
		public function getLife():uint { return life; }
		public function getCoins():uint { return coins; }
		
		public function wait():void
		{
			steps.push(WAIT);	
		}
		
		public function stepLeft():void
		{
			steps.push(LEFT);	
		}
		
		public function stepRight():void
		{
			steps.push(RIGHT);	
		}
		
		public function stepUp():void
		{
			steps.push(UP);	
		}
		
		public function stepDown():void
		{
			steps.push(DOWN);	
		}
		
		public function action():void
		{
			steps.push(ACTION);	
		}
		
		public function action2():void
		{
			steps.push(ACTION2);
		}
		
		public function getFrame(frame:uint):uint
		{
			if (frame < steps.length)
				return steps[frame];
			else
				return WAIT;
		}
		
		public function size():uint
		{
			return steps.length;
		}

	}
}